std::indirectly_swappable(3cxx)

NAME
std::indirectly_swappable - [alg.req.ind.swap], concept indirectly_swappable

SYNOPSIS

#include <iterator_concepts.h>

Concept definition

template<typename _I1, typename _I2 _I1>
concept std::indirectly_swappable =  indirectly_readable<_I1> && indirectly_readable<_I2>
      && requires(const _I1 __i1, const _I2 __i2)
      {
        ranges::iter_swap(__i1, __i1);
        ranges::iter_swap(__i2, __i2);
        ranges::iter_swap(__i1, __i2);
        ranges::iter_swap(__i2, __i1);
      }

Detailed Description

[alg.req.ind.swap], concept indirectly_swappable

Author

Generated automatically by Doxygen for libstdc++ from the source code.